com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue

## Class BaseKeyColumnValueAdapter

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.keycolumnvalue.keyvalue.BaseKeyColumnValueAdapter

- All Implemented Interfaces:
    KeyColumnValueStore
  Direct Known Subclasses:
    OrderedKeyValueStoreAdapter

      public abstract class BaseKeyColumnValueAdapter
      extends Object
      implements KeyColumnValueStore

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.KeyColumnValueStore

      `NO_ADDITIONS, NO_DELETIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseKeyColumnValueAdapter(KeyValueStore store)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes this store
    `String` | `getName()` Returns the name of this store.
    `boolean` | `isClosed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.KeyColumnValueStore

      `acquireLock, getKeys, getKeys, getSlice, getSlice, mutate`

- - ### Constructor Detail

    - #### BaseKeyColumnValueAdapter

          public BaseKeyColumnValueAdapter(KeyValueStore store)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `KeyColumnValueStore`
      Returns the name of this store. Each store has a unique name which is used to open it.
      Specified by:
        `getName` in interface `KeyColumnValueStore`
      Returns:
        store name
      See Also:
        `KeyColumnValueStoreManager.openDatabase(String)`

    - #### close

          public void close()
                     throws BackendException

      Description copied from interface: `KeyColumnValueStore`
      Closes this store
      Specified by:
        `close` in interface `KeyColumnValueStore`
      Throws:
        `BackendException`

    - #### isClosed

          public boolean isClosed()

Copyright © 2012–2014. All rights reserved.